---
updatedAt: 2026-05-21T09:48:08.000Z
agentTools:
  projectIndex: https://docs.damoov.com/llms.txt
---

# Damoov CloudFlare Proxy

Damoov provides a proxy service to fetch HTTP Traffic data between clients app and Damoov platform.

## Cloudflare GraphQL API Integration

Cloudflare offers a comprehensive GraphQL API for advanced analytics. For more details, please refer to the official documentation: Cloudflare GraphQL API.

### Damoov Integration with Cloudflare

Damoov integrates with Cloudflare to provide HTTP traffic data based on your app bundle IDs. To start using this service:

1. Add your app bundle IDs in the Company Settings page on the Damoov Portal.
2. Generate an x-api-key to authenticate your requests.

### Query Format

When using the Damoov Proxy Cloudflare API, we handle Cloudflare credentials and ZoneFilter\_InputObject on your behalf. To structure your queries, start with the <service> section.

For more details on the Cloudflare GraphQL schema, please refer to the official documentation: Explore the Cloudflare GraphQL Schema.

### Example of request:

```curl
curl --location --request POST 'https://analytics.telematicssdk.com/system/analytics/v1/cloudflare/proxy' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <key>' \
--data '{
    "query": "httpRequestsAdaptiveGroups( filter: { datetime_geq: \"2025-02-18T00:00:00Z\" datetime_leq: \"2025-02-19T23:59:59Z\" } limit: 1000 orderBy: [datetimeFifteenMinutes_ASC] ) { sum {edgeDnsResponseTimeMs  edgeTimeToFirstByteMs edgeResponseBytes} count dimensions { datetimeFifteenMinutes edgeResponseStatus clientRequestPath} }"
}'
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "system-apis",
    "version": "1.1-backup"
  },
  "servers": [
    {
      "url": "https://analytics.telematicssdk.com/system/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-api-key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/analytics/v1/cloudflare/proxy": {
      "post": {
        "summary": "Damoov CloudFlare Proxy",
        "description": "Damoov provides a proxy service to fetch HTTP Traffic data between clients app and Damoov platform.",
        "operationId": "damoov-cloudflare-proxy",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "GraphQL query"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```